# Tildes Wiki Sitemap

> Generates a Markdown file with all group wiki pages of Tildes.

## Installation

### Binary

Precompiled binaries are available [here](https://git.holllo.cc/Bauke/tildes-wiki-sitemap/releases).

### Source

Requires [Rust and Cargo](https://www.rust-lang.org/tools/install) to be installed.

```sh
git clone https://git.holllo.cc/Bauke/tildes-wiki-sitemap.git
cd tildes-wiki-sitemap
cargo build --release
mv target/release/tildes-wiki-sitemap ./
```

## Usage

Make sure the file is executable, then run it. A `sitemap.md` file will be created with the results.

```sh
chmod +x ./tildes-wiki-sitemap
./tildes-wiki-sitemap
less sitemap.md
```

## Previous Version

If you're looking for the previous version of this program written in Go, [click here](https://git.holllo.cc/Bauke/tildes-wiki-sitemap/src/commit/18a96e9d541fd1e231574ceec4d4bdf5783e3b5f) to go to the commit before the Rust rewrite.

## License

Open-sourced with the [AGPL-3.0-or-later license](https://git.holllo.cc/Bauke/tildes-wiki-sitemap/src/branch/main/LICENSE).
